<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <button class="btn">Getir</button>

    <script>
      const newPost = {
        userId: 1,
        title: "yeni başlık",
        body: "est rerum tempore vitae\nsequi sint nihil reprehenderit dolor beatae ea dolores neque\nfugiat blanditiis voluptate porro vel nihil molestiae ut reiciendis\nqui aperiam non debitis possimus qui neque nisi nulla",
      };

      document.querySelector("button").addEventListener("click", () => {
        fetch("https://jsonplaceholder.typicode.com/posts", {
          method: "POST",
          body: JSON.stringify(newPost),
          headers: { "content-type": "application/json" },
        })
          .then((response) => response.json())
          .then((json) => {
            console.log(json);
          })
          .catch((err) => console.log(err));
      });
    </script>
  </body>
</html>
